import request from '@/utils/request'

// 查询参培审核列表
export function listTrainApproval(query) {
  return request({
    url: '/oa/trainApproval/list',
    method: 'get',
    params: query
  })
}

// 查询参培审核详细
export function getTrainApproval(participateId) {
  return request({
    url: '/oa/trainApproval/' + participateId,
    method: 'get'
  })
}

// 新增参培审核
export function addTrainApproval(data) {
  return request({
    url: '/oa/trainApproval',
    method: 'post',
    data: data
  })
}

// 修改参培审核
export function updateTrainApproval(data) {
  return request({
    url: '/oa/trainApproval',
    method: 'put',
    data: data
  })
}

// 删除参培审核
export function delTrainApproval(participateId) {
  return request({
    url: '/oa/trainApproval/' + participateId,
    method: 'delete'
  })
}
